Package com.fasterxml.jackson.datatype.joda.ser

## Class DateTimeZoneSerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
    - - com.fasterxml.jackson.datatype.joda.ser.DateTimeZoneSerializer

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`, `com.fasterxml.jackson.databind.jsonschema.SchemaAware`, `java.io.Serializable`

    public class DateTimeZoneSerializer
    extends com.fasterxml.jackson.databind.ser.std.StdSerializer<T>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

`com.fasterxml.jackson.databind.JsonSerializer.None`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_handledType`

### Constructor Summary

Constructors
`DateTimeZoneSerializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `serialize​(org.joda.time.DateTimeZone value, com.fasterxml.jackson.core.JsonGenerator gen, com.fasterxml.jackson.databind.SerializerProvider provider)`
`void` `serializeWithType​(org.joda.time.DateTimeZone value, com.fasterxml.jackson.core.JsonGenerator g, com.fasterxml.jackson.databind.SerializerProvider provider, com.fasterxml.jackson.databind.jsontype.TypeSerializer typeSer)`

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_neitherNull, _nonEmpty, acceptJsonFormatVisitor, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

`getDelegatee, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, unwrappingSerializer, usesObjectId, withFilterId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DateTimeZoneSerializer

    public DateTimeZoneSerializer()

### Method Detail

#### serialize

    public void serialize​(org.joda.time.DateTimeZone value,
                          com.fasterxml.jackson.core.JsonGenerator gen,
                          com.fasterxml.jackson.databind.SerializerProvider provider)
                   throws java.io.IOException

Specified by:
  `serialize` in class `com.fasterxml.jackson.databind.ser.std.StdSerializer<org.joda.time.DateTimeZone>`
Throws:
  `java.io.IOException`

#### serializeWithType

    public void serializeWithType​(org.joda.time.DateTimeZone value,
                                  com.fasterxml.jackson.core.JsonGenerator g,
                                  com.fasterxml.jackson.databind.SerializerProvider provider,
                                  com.fasterxml.jackson.databind.jsontype.TypeSerializer typeSer)
                           throws java.io.IOException

Throws:
  `java.io.IOException`